### Hierarchy

- DOMTokenList
  - DOMSettableTokenList

### Indexable

[index: number]: string

## Index

### Properties

- DOMTokenList
- length
- value

### Methods

- __@iterator
- add
- contains
- entries
- forEach
- item
- keys
- remove
- replace
- supports
- toggle
- values

## Properties

### DOMTokenList

DOMTokenList: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3814

#### Type declaration

- ##### constructor: function

  - new __type(): DOMTokenList
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3815

    #### Returns DOMTokenList

- ##### prototype: DOMTokenList

### length

length: number

Inherited from DOMTokenList.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3764

Returns the number of tokens.

### value

value: string

Overrides DOMTokenList.value

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3721

## Methods

### __@iterator

- __@iterator(): IterableIterator<string>

- Inherited from DOMTokenList.__@iterator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:53

  #### Returns IterableIterator<string>

### add

- add(...tokens: string[]): void

- Inherited from DOMTokenList.add

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3777

  Adds all arguments passed, except those already present. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### Rest ...tokens: string[]

  #### Returns void

### contains

- contains(token: string): boolean

- Inherited from DOMTokenList.contains

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3781

  Returns true if token is present, and false otherwise.

  #### Parameters

  - ##### token: string

  #### Returns boolean

### entries

- entries(): IterableIterator<[number, string]>

- Inherited from DOMTokenList.entries

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:54

  #### Returns IterableIterator<[number, string]>

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- Inherited from DOMTokenList.forEach

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3810

  #### Parameters

  - ##### callbackfn: function

    - - (value: string, key: number, parent: DOMTokenList): void

      - #### Parameters

        - ##### value: string

        - ##### key: number

        - ##### parent: DOMTokenList

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### item

- item(index: number): string | null

- Inherited from DOMTokenList.item

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3785

  tokenlist[index]

  #### Parameters

  - ##### index: number

  #### Returns string | null

### keys

- keys(): IterableIterator<number>

- Inherited from DOMTokenList.keys

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:55

  #### Returns IterableIterator<number>

### remove

- remove(...tokens: string[]): void

- Inherited from DOMTokenList.remove

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3793

  Removes arguments passed, if they are present. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### Rest ...tokens: string[]

  #### Returns void

### replace

- replace(oldToken: string, newToken: string): void

- Inherited from DOMTokenList.replace

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3802

  Replaces token with newToken. Returns true if token was replaced with newToken, and false otherwise. Throws a "SyntaxError" DOMException if one of the arguments is the empty string. Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.

  #### Parameters

  - ##### oldToken: string

  - ##### newToken: string

  #### Returns void

### supports

- supports(token: string): boolean

- Inherited from DOMTokenList.supports

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3808

  Returns true if token is in the associated attribute's supported tokens. Returns false otherwise. Throws a TypeError if the associated attribute has no supported tokens defined.

  #### Parameters

  - ##### token: string

  #### Returns boolean

### toggle

- toggle(token: string, force?: undefined | false | true): boolean

- Inherited from DOMTokenList.toggle

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3809

  #### Parameters

  - ##### token: string

  - ##### Optional force: undefined | false | true

  #### Returns boolean

### values

- values(): IterableIterator<string>

- Inherited from DOMTokenList.values

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:56

  #### Returns IterableIterator<string>

Generated using TypeDoc